## EntangleApplication EntangleApplication — Global application state base class |

## Functions

EntangleApplication * | entangle_application_new ()
EntangleCameraList * | entangle_application_get_active_cameras ()
EntangleCameraList * | entangle_application_get_supported_cameras ()
EntanglePreferences * | entangle_application_get_preferences ()
PeasEngine * | entangle_application_get_plugin_engine ()

## Properties

EntangleCameraList * | active-cameras | Read
EntanglePreferences * | preferences | Read
EntangleCameraList * | supported-cameras | Read

## Object Hierarchy

        GObject
        ╰── GApplication
            ╰── GtkApplication
                ╰── EntangleApplication

## Description

EntangleApplication maintains some global application state. At this time, the list of currently attached cameras, the application preferences and the plugin manager.

This class will normally be sub-classed when creating a Entangle based application, typically in order to add in UI state.

## Functions

### entangle_application_new ()

    EntangleApplication *
    entangle_application_new (void);

### entangle_application_get_active_cameras ()

    EntangleCameraList *
    entangle_application_get_active_cameras
                                   (EntangleApplication *application);

Retrieve the active camera list

#### Returns

the camera list.

[transfer none]

### entangle_application_get_supported_cameras ()

    EntangleCameraList *
    entangle_application_get_supported_cameras
                                   (EntangleApplication *application);

Retrieve the supported camera list

#### Returns

the camera list.

[transfer none]

### entangle_application_get_preferences ()

    EntanglePreferences *
    entangle_application_get_preferences (EntangleApplication *application);

Retrieve the application preferences object

#### Returns

the application preferences.

[transfer none]

### entangle_application_get_plugin_engine ()

    PeasEngine *
    entangle_application_get_plugin_engine
                                   (EntangleApplication *application);

Retrieve the plugin manager

#### Returns

the plugin engine.

[transfer none]

## Types and Values

## Property Details

### The `“active-cameras”` property

      “active-cameras”           EntangleCameraList *

List of active cameras.

Flags: Read

### The `“preferences”` property

      “preferences”              EntanglePreferences *

Application preferences.

Flags: Read

### The `“supported-cameras”` property

      “supported-cameras”        EntangleCameraList *

List of supported cameras.

Flags: Read